%define module eventlib

Name:           python-%{module}
Version:        0.1.5
Release:        %mkrel 1
Summary:        Library to make it easy to track events in python/django apps
Group:          Development/Python
License:        GPLv3
URL:            http://sipsimpleclient.org/
Source0:        http://download.ag-projects.com/SipClient/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
Long story short, eventlib is an asynchronous event tracking app for
Django. This library was built upon the following values:

* It must be deadly simple to log an event;
* It must be possible to track each event in different ways;
* Each different "event handler" must be completely separate and fail
  gracefully;
* The event system must be asynchronous, so let's use celery;
* The library must be extensible;
* 100% of test coverage is enough.


%prep
%setup -q -n %{module}-%{version}


%build
%__python setup.py build

%install
%__rm -rf %buildroot
%__python setup.py install --root %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/eventlib
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}*.egg-info


%changelog
* Fri Sep 04 2015 Ken <lxgator at gmail.com> 0.1.5-1pclos2015
- Initial pkg
